%define momorel         4
%define	emacsver	21.3
%define xemacsver	21.4
%define apelver		10.6-2m
%define	e_sitedir	/usr/share/emacs/site-lisp
%define	xe_sitedir	/usr/lib/xemacs/site-lisp
%define	sitepdir	/usr/lib/xemacs/site-packages
%define _ipv6      0

%if %{_ipv6}
%define v6opt      --enable-ipv6
%else
%define v6opt      --disable-ipv6
%endif

Summary: liece - Lightweight Interface for Enhanced Chat Environment
Name: elisp-liece
Version: 1.4.10
Release: %{momorel}m
License: GPL
Group: Applications/Internet
Source0: http://www.unixuser.org/~ueno/liece/dist/liece-%{version}.tar.gz
NoSource: 0
Source1: liece-ja.info
URL: http://www.unixuser.org/~ueno/liece/
BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildPreReq: emacs >= %{emacsver}, xemacs >= %{xemacsver}
BuildPreReq: apel-emacs >= %{apelver}, apel-xemacs >= %{apelver}
Requires: emacsen

%description
Lightweight Interface for Enhanced Chat Environment.
Documents and dcc/tcp programs for liece.el

%package -n liece-emacs
Group: Applications/Internet
Summary: liece - Lightweight Interface for Enhanced Chat Environment (for Emacs)
Requires: %{name} = %{version}-%{release}
Requires: emacs >= %{emacsver}
Requires: apel-emacs >= %{apelver}
PreReq: info

%description -n liece-emacs
Lightweight Interface for Enhanced Chat Environment

%package -n liece-xemacs
Group: Applications/Internet
Summary: liece - Lightweight Interface for Enhanced Chat Environment (for XEmacs)
Requires: %{name} = %{version}-%{release}
Requires: xemacs >= %{xemacsver}
Requires: apel-xemacs >= %{apelver}

%description -n liece-xemacs
Lightweight Interface for Enhanced Chat Environment

%prep
%setup -q -n liece-%{version}
cp %SOURCE1 doc/.

%build
CFLAGS="%{optflags}" \
./configure --with-emacs=emacs \
            --datadir=%{e_sitedir} \
	    --with-lispdir=%{e_sitedir} %{v6opt}

make

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

make install prefix=%{buildroot}%{_prefix} \
        datadir=%{buildroot}%{e_sitedir} \
	lispdir=%{buildroot}%{e_sitedir} \
	infodir=%{buildroot}%{_infodir} \
	PREFIX=%{buildroot}%{_prefix} \
	LISPDIR=%{buildroot}%{e_sitedir}

make distclean

CFLAGS="%{optflags}" \
./configure --with-xemacs=xemacs \
		--with-packagedir=%{sitepdir} %{v6opt}
make
mkdir -p %{buildroot}%{sitepdir}/{pkginfo,info}
make install-package prefix=%{buildroot}%{_prefix} \
	packagedir=%{buildroot}%{sitepdir} \
	PREFIX=%{buildroot}%{_prefix} \
	LISPDIR=%{buildroot}%{sitepdir}/lisp \
	PACKAGEDIR=%{buildroot}%{sitepdir}

mkdir -p %{buildroot}%{_infodir}

install -m 644 doc/liece-ja.info %{buildroot}%{_infodir}
install -m 644 doc/liece-ja.info %{buildroot}%{sitepdir}/info

perl -p -i -e "s|^info/|info/liece.info.bz2\\
info/liece-ja.info.bz2|g" \
	%{buildroot}%{sitepdir}/pkginfo/MANIFEST.liece

# remove
rm -f %{buildroot}%{_libdir}/xemacs/site-packages/info/dir
rm -f %{buildroot}/usr/share/info/dir

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%post -n liece-emacs
/sbin/install-info %{_infodir}/liece.info.* %{_infodir}/dir --section="Emacs"
/sbin/install-info %{_infodir}/liece-ja.info.* %{_infodir}/dir --section="Emacs"

%preun -n liece-emacs
if [ "$1" = 0 ]; then
	/sbin/install-info --delete %{_infodir}/liece.info.* %{_infodir}/dir
	/sbin/install-info --delete %{_infodir}/liece-ja.info.* %{_infodir}/dir
fi

%files
%defattr(-, root, root)
%doc AUTHORS COPYING ChangeLog INSTALL NEWS README
%{_bindir}/*

%files -n liece-emacs
%defattr(-, root, root)
%{e_sitedir}/liece
%{_infodir}/*.info*

%files -n liece-xemacs
%defattr(-, root, root)
%{sitepdir}/etc/liece
%{sitepdir}/lisp/liece
%{sitepdir}/info/*.info*
%{sitepdir}/pkginfo/*

%changelog
* Wed Mar 17 2004 Toru Hoshina <t@momonga-linux.org>
- (1.4.10-4m)
- revised spec for enabling rpm 4.2.

* Sat Jul 12 2003 Hideo TASHIRO <tashiron@momonga-linux.org>
- (1.4.10-3m)
- rebuild against elisp-apel-1.6-2m
- use %%{momorel}

* Thu Mar 20 2003 TABUCHI Takaaki <tab@momonga-linux.org>
- (1.4.10-2m)
- rebuild against emacs-21.3
- update apel version
- define apelver

* Mon Jan 13 2003 Hideo TASHIRO <tashiron@momonga-linux.org>
- (1.4.10-1m)
- version up to 1.4.10

* Sat Sep 28 2002 Hideo TASHIRO <tashiron@momonga-linux.org>
- (1.4.8-2m)
- move shared data (icon,style,locale) to each site-lisp dir...

* Sat Sep 28 2002 Hideo TASHIRO <tashiron@momonga-linux.org>
- (1.4.8-1m)
- Version up to 1.4.8. ( Nyan2-san's work )
- move share directory ( icon, style, and locale ) to 
   /usr/share/elisp-liece
- modify the sample configuration file

* Fri Aug 16 2002 Hideo TASHIRO <tashiron@momonga-linux.org>
- (1.4.7-9m)
- rebuild against elisp-apel-10.3-21m
- convert charset liece-ja.info to euc-jp

* Mon Jun  3 2002 Kazuhiko <kazuhiko@kondara.org>
- (1.4.7-8k)
- liece-xemacs package again

* Tue May  7 2002 Kazuhiko <kazuhiko@kondara.org>
- (1.4.7-6k)
- remove liece-xemacs package because it was merged to xemacs-sumo

* Tue Apr 30 2002 Kenta MURATA <muraken@kondara.org>
- (1.4.7-4k)
- /sbin/install-info -> info in PreReq.

* Fri Mar 22 2002 Kazuhiko <kazuhiko@kondara.org>
- (1.4.7-2k)

* Tue Mar 19 2002 Kazuhiko <kazuhiko@kondara.org>
- (1.4.4-18k)
- rebuild against emacs-21.2

* Wed Feb 20 2002 Mitsuru Shimamura <mitsuru@diana.dti.ne.jp>    
- (1.4.4-16k)                      
- add BuildPreReq: autoconf >= 2.52-8k, automake >= 1.5-8k

* Wed Jan 23 2002 Kazuhiko <kazuhiko@kondara.org>
- (1.4.4-14k)
- fix wrong requires in liece-xemacs

* Mon Nov 12 2001 Toshiro HIKITA <toshi@sodan.org>
- (1.4.4-12k)
- add liece-1.4.4-release-cvs.patch 
 (for difference between lice-1.4.4.tar.gz and -r liece-1_4_4)
- fix cvs.patch (as it from CVS)

* Sat Nov 10 2001 Toshiro HIKITA <toshi@sodan.org>
- (1.4.4-10k)
- merge liece-emacs and liece-xemacs
- add cvs patch (with some fix)
- add noxml patch

* Fri Nov 30 2000 Kenichi Matsubara <m@kondara.org>
- info.bz2 to info.*

* Fri Oct 27 2000 Kenichi Matsubara <m@kondara.org>
- liece-ja.info.gz to liece-ja.info.*.

* Wed Oct 25 2000 MATSUDA, Daiki <dyky@df-usa.com>
- modifiled %post and %preun section from .gz to .bz2
- fixed for bzip2ed man

* Mon Oct 23 2000 Hidetomo Machi <mcHT@kondara.org>
- (1.4.4-1k)
- version 1.4.4
- modify specfile (License)
- remove BuildArch tag
- add configure option "--enable-ipv6"

* Sat Jun 10 2000 Hidetomo Machi <mcHT@kondara.org>
- version 1.4.3
- add "-q" at %setup
- delete liece-en.info entry in %{_infodir}

* Fri Mar 10 2000 Hidetomo Machi <mcHT@kondara.org>
- version 1.4.0
- add info entry to %{_infodir}/dir
- avoid to conflict with "liece-xemacs" (look this spec)
